{-# LANGUAGE OverloadedStrings #-}

module ZenScan where

import Control.Monad.Logger (runNoLoggingT)
import Data.Configurator
import Zenith.Scanner (rescanZebra)

main :: IO ()
main = do
  config <- load ["zenith.cfg"]
  dbFilePath <- require config "dbFilePath"
  zebraPort <- require config "zebraPort"
  zebraHost <- require config "zebraHost"
  runNoLoggingT $ scanZebra 2762066 zebraHost zebraPort dbFilePath
